<?php

defined('_JEXEC') or die('Acesso restrito ao Joomla!');

JHTML::_('stylesheet', 'mural.css', 'administrator/components/com_mymural/assets/css/');
JHTML::script('jquery-1.4.2.js', 'administrator/components/com_mymural/assets/js/lib/');
JHTML::script('functions.js', 'administrator/components/com_mymural/assets/js/');

class HTML_mymural {

//Formulário de Entrada de Nomes
    function editaRecado($row, $option) {
        //O importante de adicionar o name adminForm aos formulários é que será possível usar algumas funcioinalidades JavaScript do Joomla

        ?>

<form action="index.php" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data">
    <fieldset class="adminform">
        
        <legend>Cadastro de Recados</legend>
        <div id="edita_recado">
            <label for="area">
                <span class="campo">Área Associativa:</span>
                <select name="area" id="area" class="text_area required">

                            <?php

                            $db =& JFactory::getDBO();
                            $query = "SELECT * FROM #__mymural_areas WHERE published = '1'";
                            $db->setQuery($query);
                            $db->query();
                            $resultado = $db->loadObjectList();

                            foreach($resultado as $local) {

                                ?>

                    <option value="<?php echo $local->id; ?>" <?php echo ($row->area == $local->id)? 'selected="selected"':'' ?>><?php echo $local->nome; ?></option>

                                <?php }  ?>

                </select>
            </label>

            <br /><br />

            <label for="nome">
                <span class="campo">Nome:</span> <br />
                <input type="text" name="nome" id="nome" size="50" maxlength="250" class="text_area required" value="<?php echo $row->nome; ?>" />
            </label>

            <br /><br />

            <label for="profissao">
                <span class="campo">Profissão:</span> <br />
                <input type="text" name="profissao" id="profissao" size="50" maxlength="250" class="text_area required" value="<?php echo $row->profissao; ?>" />
            </label>
            <br /><br />

            <label for="email">
                <span class="campo">E-mail:</span> <br />
                <input type="text" name="email" id="email" size="50" maxlength="250" class="text_area required" value="<?php echo $row->email; ?>" />
            </label>

            <br /><br />

            <label for="cidade_uf">
                <span class="campo">Cidade / UF:</span> <br />
                <input type="text" name="cidade_uf" id="cidade_uf" size="50" maxlength="250" class="text_area required" value="<?php echo $row->cidade_uf; ?>" />
            </label>

            <br /><br />

            <label for="mensagem">
                <span class="campo">Recado:</span> <br />
                <textarea name="mensagem" id="mensagem"><?php echo str_replace("<br />", "", $row->mensagem); ?></textarea>
            </label>

            <br /><br />

            <label for="imagem">
                <span class="campo">Foto:</span> <br />
                <input type="file" name="imagem" id="imagem" />
            </label>

                    <?php if($row->imagem != null) {?>
            <br /><br />

            <label>
                <span class="campo">&nbsp;</span> <img src="../<?php echo $row->imagem; ?>" alt="Erro ao carregar a imagem" />
            </label>
                        <?php }?>
            <br />
        </div>
    </fieldset>


    <input type="hidden" name="id" value="<?php echo $row->id; ?>" />
    <input type="hidden" name="option" value="<?php echo $option; ?>" />
    <input type="hidden" name="task" value="" />
    <?php echo JHTML::_('form.token'); // isso faz o Joomla gerar uma chave de segurança ?>

</form>

        <?php

    } //editaRecado();

    function mostraRecados($option, &$rows, &$pageNav) { //Esses & antes das variáveis indicam que essas variáveis receberão valores passados por referência
        ?>

<form action="index.php" method="post" name="adminForm">
    <table class="adminlist">
        <thead>
            <tr>
                <th width="20">
                    <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>)" />
                    <!-- A função checkAll é nativa do Framework do Joomla... e já vem carregada com várias outras funções -->
                </th>                
                <th class="title" align="left" style="text-align: left">Área</th>
                <th class="title" align="left" style="text-align: left">Nome</th>
                <th class="title" align="left" style="text-align: left">E-mail</th>
                <th class="title" width="15%">Data de cadastro:</th>
                <th width="15%">Publicado</th>
            </tr>
        </thead>
                <?php

                jimport('joomla.filter.output');
                $k = 0;
                $db =& JFactory::getDBO();
                for ($i = 0; $i < count($rows); $i++) {
                    $row = &$rows[$i];
                    $checked = JHTML::_('grid.id', $i, $row->id);
                    $published = JHTML::_('grid.published', $row, $i);
                    $link = JFilterOutput::ampReplace('index.php?option=' . $option . '&task=edit&cid[]=' . $row->id);

                    $data = substr($row->data_cadastro,8,2) . "/" . substr($row->data_cadastro,5,2) . "/" . substr($row->data_cadastro,0,4);
                    $data .= ' às ' . substr($row->data_cadastro,11,2) . "h" . substr($row->data_cadastro,14,2);

                    $query = "SELECT nome FROM #__mymural_areas WHERE id = " . $row->area;
                    $db->setQuery($query);
                    $nomeArea = $db->loadResult();

                    ?>
        <tr class="<?php echo "row".$k; ?>">
            <td><?php echo $checked; ?></td>            
            <td align="left"><?php echo $nomeArea; ?></td>
            <td align="left"><a href="<?php echo $link; ?>" title="Clique para visualizar/editar o recado"><?php echo $row->nome; ?></a></td>
            <td align="left"><?php echo $row->email; ?></td>
            <td align="center"><?php echo $data; ?></td>
            <td align="center"><?php echo $published; ?></td>
        </tr>
                    <?php
                    $k = 1 - $k;
                } //for()
                ?>
        <tfoot>
        <td colspan="7"><?php echo $pageNav->getListFooter(); ?></td>
        </tfoot>
    </table>
    <input type="hidden" name="option" value="<?php echo $option; ?>" />
    <input type="hidden" name="task" value="" />
    <input type="hidden" name="boxchecked" value="0" />
            <?php echo JHTML::_('form.token'); ?>
</form>

        <?php
    } //mostraRecados();

    function adminAreas($option, $rows) {

        ?>
<div id="editar_area">
    <form action="index.php" method="post" name="frm_edit_area">
        <input type="hidden" name="id_area_edit" id="id_area_edit" value="" />
        <fieldset>
            <legend>Editar Área: </legend>

            <h3 name="nome_area_edit" id="nome_area_edit">Selecione</h3>

            <label for="novo_nome_area_edit">Novo Nome: </label>
            <input type="text" name="novo_nome_area_edit" id="novo_nome_area_edit" size="40" /><br /><br />

            <button type="button" name="btn_cancelar_edit" id="btn_cancelar_edit" class="button">Cancelar</button>
            <button type="button" name="btn_atualizar_edit" id="btn_atualizar_edit" class="button">Concluir Edição</button>

            <span id="loading_edit"><img src="components/com_mymural/assets/css/loading.gif" alt="" /> Aguarde...</span>

            <input type="hidden" name="option" value="<?php echo $option; ?>" />
            <input type="hidden" name="task" value="editar_area" />

        </fieldset>
    </form>
</div>

<table class="adminlist">
    <thead>
        <tr>
            <th width="5%">ID</th>
            <th>Área</th>
            <th width="10%">Editar</th>
            <th width="10%">Remover</th>
            <th width="10%">Publicado</th>
        </tr>
    </thead>

            <?php
            $numLinha = 0;
            foreach($rows as $row) {
                if ($row->published == '1') {
                    $titlePublish = 'Despublicar';
                    $icoPublish = 'ico_publish_ok.png';
                    $acaoPublish = '0';
                }
                else {
                    $titlePublish = 'Publicar';
                    $icoPublish = 'ico_publish_x.png';
                    $acaoPublish = '1';
                }
                ?>
    <tr class="row<?php echo $numLinha;?>">
        <td align="center"><?php echo $row->id; ?></td>
        <td align="left"><?php echo $row->nome; ?></td>
        <td align="center">
            <a href="javascript:void(0)" title="Editar Área" onclick="editaArea('<?php echo $row->id . "','" . $row->nome; ?>')"><img src="components/com_mymural/assets/css/icones/ico_editar.png" alt="Editar" /></a>
        </td>
        <td align="center">
            <a href="index.php?option=com_mymural&task=remover_area&id=<?php echo $row->id; ?>" title="Remover Área"><img src="components/com_mymural/assets/css/icones/ico_excluir.png" alt="Excluir" /></a>
        </td>
        <td align="center">
            <a href="index.php?option=com_mymural&task=publicar_area&acao=<?php echo $acaoPublish; ?>&id=<?php echo $row->id; ?>" title="<?php echo $titlePublish; ?>"><img src="components/com_mymural/assets/css/icones/<?php echo $icoPublish; ?>" alt="<?php echo $titlePublish; ?>" /></a>
        </td>
    </tr>
                <?php
                $numLinha = 1 - $numLinha;
            }
            ?>
</table>
<br />

<div id="cad_area">
    <form action="index.php" method="post" name="frm_cad_area">
        <input type="hidden" name="option" value="<?php echo $option; ?>" />
        <input type="hidden" name="task" value="adicionar_area" />
        <fieldset>
            <legend>Cadastrar uma nova Área:</legend>
            <label for="nome_area">Nome: </label>
            <input type="text" name="nome_area" id="nome_area" size="40" />

            <button type="button" name="btn_cadastra_area" id="btn_cadastra_area" class="button">Adicionar nova Área</button>
            <span id="loading_cad"><img src="components/com_mymural/assets/css/loading.gif" alt="" /> Aguarde...</span>


        </fieldset>
    </form>
</div>
        <?php

    }

    function sobreMymural() {
        ?>
<div id="sobre_mymural">

  <h3>MyMural 1.8 - Seu Mural de Recados para Joomla!</h3>

    <p>Mais do que um sistema de coment&aacute;rios comum, o <strong>MyMural</strong> &eacute; um componente desenvolvido para o CMs Joomla! 1.5, que adiciona ao site a op&ccedil;&atilde;o de ter um Mural de Recados, onde os usu&aacute;rios poder&atilde;o expressar sua opni&atilde;o sobre um
        determinado assunto, com a op&ccedil;&atilde;o de anexar uma imagem/foto junto ao recado.</p>
    <br />

    <p>Fun&ccedil;&otilde;es principais do Componente:</p>
    <br />

    <div class="area_mymural_detalhes">
        <p class="doc_titulo">Front-end:</p>
    </div>
    <ul>
        <li>Enviar recado com Foto</li>
        <li>Visualizar recados</li>
    </ul>


    <br />

    <div class="area_mymural_detalhes">
        <p class="doc_titulo">Back-end:</p>
    </div>

    <p class="doc_sessao">Administra&ccedil;&atilde;o geral dos recados:</p>
    <ul>
        <li>Adicionar</li>
        <li>Editar</li>
        <li>Remover</li>
        <li>Publicar/Despublicar</li>
    </ul>


    <p class="doc_sessao">Administra&ccedil;&atilde;o das &Aacute;reas:</p>
    <ul>
        <li>Adicionar</li>
        <li>Editar</li>
        <li>Remover</li>
        <li>Publicar/Despublicar</li>
    </ul>


    <br />
    <br />

    <div class="area_mymural_detalhes"><p class="doc_titulo">Veja abaixo um Mini-Tutorial de como usar o MyMural:</p></div>
    <br />


    1&ordm; - Criar uma &Aacute;rea para armazenar os recados (Menu Componentes > MyMural > Administrar &Aacute;reas).<br /><br />

<p>Nesta sess&atilde;o, voc&ecirc; tem a listagem das &aacute;reas j&aacute; criadas em seu MyMural, com a op&ccedil;&atilde;o de Adicionar, Editar, Remover e Publicar/Despublicar.<br />
        Abaixo da listagem, h&aacute; um formul&aacute;rio para <strong>Cadastrar uma Nova &Aacute;rea</strong>.<br />
      Digite neste campo o nome da &Aacute;rea que deseja criar e clique em "<em>Adicionar Nova &Aacute;rea</em>".</p>
    <br />

    2&ordm; - Feito isso, agora basta adicionar seu recado (Menu Componentes > MyMural > Adicionar Recado).<br />

    <p>Preencha todos os campos (apenas o campo "Foto" &eacute; opcional), e clique em Salvar.<br />
        Feito isso, voc&ecirc; ser&aacute; redirecionado para a Sess&atilde;o de "Listagem de Recados".</p>
    <br />

    <p>Voc&ecirc; poder&aacute; adicionar quantos recados quiser, mas esta &eacute; a forma de se Administrar seu MyMural.<br />
        Para ativar seu Mural de Recados no site, voc&ecirc; dever&aacute; adicionar um <em>Item de Menu do tipo MyMural</em> a um novo menu em seu site ou a um menu j&aacute; existente.<br />
        Gerencie os menus atrav&eacute;s de (Menus > Administrar Menus).</p>
    <br />

    <strong>Pronto!</strong><br /><br />

  <div id="rodape_sobre_mymural">
        Para visualizar o Mural de Recados em seu site, acesse o frontend do mesmo, e clique sobre o link que voc&ecirc; acabou de criar do tipo MyMural.<br />
        <br />

      No Frontend, Os visitantes e usu&aacute;rios de seu site poder&atilde;o enviar e visualizar os recados do mural.<br />
        Por padr&atilde;o, os recados enviados ao mural via Front-end e Back-end s&atilde;o automaticamente adicionados como "Publicados".<br />
      <br />

        Por&eacute;m, caso necessite Bloquear o Mural de Recados, fazendo com que cada recado enviado precise ser aprovado antes de ser publicado, Acesse o bot&atilde;o Prefer&ecirc;ncias, no topo da p&aacute;gina de 'Listagem de Recados', via Back-end, e marque a op&ccedil;&atilde;o &quot;Verificar recados antes de publicar&quot; como SIM.<br />
  </div>
    <br /><br />

    <div id="creditos_mymural">
        <strong>Sistema desenvolvido por Hugo Ferreira.</strong><br />

        <br />
        <span style="color:#c00; font-weight:bold; font-style: italic">&ldquo; ...&eacute; na pr&aacute;tica que se encontra o valor da teoria... &rdquo;</span>
        <br />
        <br />
        <a href="http://www.hcferreira.com.br" target="_blank" title="Hugo Ferreira - Desenvolvimentos WEB e Desktop">www.hcferreira.com.br</a><br />
        hugo@hcferreira.com.br
    </div>

</div>
        <?php

    }//AjudaMyMural
	
	function textoIntroducao($option, $texto) {
	
	?>
	Escreva abaixo o texto que servir&aacute; de introdu&ccedil;&atilde;o em seu componente, que aparecer&aacute; logo abaixo do t&iacute;tulo da p&aacute;gina:<br />
<br />
	
    <form action="index.php" method="post" name="frm_texto_introducao" id="frm_texto_introducao">
	<?php
	//Instanciando o objeto da classe JFactory, para chamar o Editor e inseri-lo no componente
		$editor =& JFactory::getEditor();
		// parametros : areaname, content, hidden field, width, height, rows, cols
		
		$params = array( 'smilies'=> '0' ,
						 'style'  => '1' ,  
						 'layer'  => '0' , 
						 'table'  => '0' ,
						 'clear_entities'=>'0'
						 );
		echo $editor->display( 'texto_introducao', $texto, '500', '300', '20', '20', false, $params );
	?>    

    <input type="hidden" name="option" value="<?php echo $option; ?>" />
    <input type="hidden" name="task" value="salva_texto_introducao" />
    
	<br />
	<br />

    <button type="button" name="btn_salva_texto" id="btn_salva_texto" class="button">Salvar texto</button>
    <span id="loading_cad"><img src="components/com_mymural/assets/css/loading.gif" alt="" /> Aguarde...</span>
    
    </form>
    
    <?php	
	}//textoIntroducao()

}

?>