DROP TABLE IF EXISTS `#__mymural`;
CREATE TABLE `#__mymural` (
    `id` int(10) NOT NULL AUTO_INCREMENT,
    `area` varchar(255) NOT NULL DEFAULT '1',
    `nome` varchar(255) NOT NULL,
    `profissao` varchar(255) NOT NULL,
    `email` varchar(255) NOT NULL,
    `cidade_uf` varchar(255) NOT NULL,
    `imagem` varchar(255) DEFAULT NULL,
    `mensagem` text NOT NULL,
    `published` tinyint(1) unsigned NOT NULL DEFAULT '0',
    `hits` int(10) unsigned NOT NULL DEFAULT '0',
    `data_cadastro` datetime NOT NULL,
    PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

INSERT INTO `#__mymural` (`id`, `area`, `nome`, `profissao`, `email`, `cidade_uf`, `imagem`, `mensagem`, `published`, `hits`, `data_cadastro`) VALUES
(1, '1', 'Hugo Ferreira', 'Desenvolvedor Web', 'contato@hcferreira.com.br', 'Indaiatuba/SP', 'administrator/components/com_mymural/assets/images/development.jpg', '<b>MyMural - Seu Mural de Recados para Joomla!</b> <br />\r\n<br />\r\nAcesse:<br />\r\n<a href="http://www.hcferreira.com.br" alt="Hugo Ferreira - Desenvolvimentos Web e Desktop" target="_blank">http://www.hcferreira.com.br</a><br />\r\n<br />\r\nEnjoy...', 1, 0, '2010-06-22 00:00:01');
            
DROP TABLE IF EXISTS `#__mymural_areas`;
CREATE TABLE `#__mymural_areas` (
    `id` int(7) NOT NULL AUTO_INCREMENT,
    `nome` varchar(255) NOT NULL,
    `published` tinyint(1) unsigned NOT NULL DEFAULT '1',
    `data_cadastro` datetime NOT NULL,
    PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

INSERT INTO `jos_mymural_areas` (`id`, `nome`, `published`, `data_cadastro`) VALUES
(1, 'Geral', 1, '2010-06-22 00:01:00');