<?php
session_start();

/*
* File: CaptchaSecurityImages.php
* Author: Simon Jarvis
* Copyright: 2006 Simon Jarvis
* Date: 03/08/06
* Updated: 07/02/07
* Requirements: PHP 4/5 with GD and FreeType libraries
* Link: http://www.white-hat-web-design.co.uk/articles/php-captcha.php
* 
* This program is free software; you can redistribute it and/or 
* modify it under the terms of the GNU General Public License 
* as published by the Free Software Foundation; either version 2 
* of the License, or (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful, 
* but WITHOUT ANY WARRANTY; without even the implied warranty of 
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
* GNU General Public License for more details: 
* http://www.gnu.org/licenses/gpl.html
*
*/


$captcha = new CaptchaSecurityImages();
$captcha->gerarCaptchaSecurityImages($_REQUEST['codigo']);


class CaptchaSecurityImages {

	/*var $font = 'components/com_mymural/includes/monofont.ttf';*/
	var $font = 'AntykwaBold.ttf';


	function gerarCaptchaSecurityImages($code) {
	
		$width='120';
		$height='40';
		$characters='5';
		
		/* Tamanho da fonte */
		$font_size = 20;
		
		$image = @imagecreate($width, $height) or die('Erro ao inicializar a biblioteca GD');
		
		/* Cor de fundo, texto e noise */
		$background_color = imagecolorallocate($image, 76, 159, 236); // cor de fundo
                $noise_color = imagecolorallocate($image, 76, 159, 236); // cor dos riscos
		$text_color = imagecolorallocate($image, 218,255,200); // cor da letra
		
		
		/* criando varios pontos no background */
		for( $i=0; $i<($width*$height)/3; $i++ ) {
			imagefilledellipse($image, mt_rand(0,$width), mt_rand(0,$height), 1, 1, $noise_color);
		}
		
		/* criando linhas aleatorias no background */
		for( $i=0; $i<($width*$height)/150; $i++ ) {
			imageline($image, mt_rand(0,$width), mt_rand(0,$height), mt_rand(0,$width), mt_rand(0,$height), $noise_color);
		}
		
		/* create textbox and add text */
		$textbox = imagettfbbox($font_size, 0, $this->font, $code) or die('Erro na function imagettfbbox');
		$x = ($width - $textbox[4])/2;
		$y = ($height - $textbox[5])/2;
		imagettftext($image, $font_size, 0, $x, $y, $text_color, $this->font , $code) or die('Erro na function imagettftext');
		
		/* Saida da imagem para o browser */
		header('Content-Type: image/jpeg');
		imagejpeg($image);
		imagedestroy($image);
		
		$_SESSION['security_code'] = $code;
	}

}


?>