<?php

defined('_JEXEC') or die('Acesso restrito ao Joomla!');
jimport('joomla.application.component.view');

/* Adicionando CSS e JS */

JHTML::_('stylesheet', 'recados.css', 'components/com_mymural/assets/css/');
JHTML::script('jquery-1.4.2.js', 'components/com_mymural/assets/js/lib/');

$params =& JComponentHelper::getParams( 'com_mymural' );
$captcha = $params->get( 'exibir_captcha' );

if($captcha == 0 || $captcha == null || $captcha == "") {
    JHTML::script('functions_recados.js', 'components/com_mymural/assets/js/');
}
else{
    JHTML::script('functions_recados_sem_captcha.js', 'components/com_mymural/assets/js/');
}

class MymuralViewRecados extends JView {

    //Toda classe View deve ter o metodo display... que eh sobrescrito da superclasse JView
    function display($tpl = null) {

        global $option, $mainframe;
        
        $model =& $this->getModel(); //Obtem a referencia do model relacionado a essa visao   
        
        //Capturando os dados
        $total      =& $this->get('Total');
        $inicioPag  = ($model->getState('limitstart') + 1) > $total ? 0 : ($model->getState('limitstart') + 1);
        $fimPag     = ($model->getState('limitstart') + $model->getState('limit')) > $total ? $total : ($model->getState('limitstart') + $model->getState('limit'));        
        $limit      = $model->getState('limit');
        
        $recados    =& $this->get('Data');
        
        $pagination =& $this->get('Pagination');
        $titulo     =& $this->get('Titulo');
        $intro      =& $this->get('Introducao');
        $busca      =& $this->get('Busca');
        
        //Setando os dados em variaveis e vetores
        $this->assignRef('inicio', $inicioPag); 
        $this->assignRef('fim', $fimPag); 
        $this->assignRef('total', $total); 
        $this->assignRef('limit', $limit); 
        
        $this->assignRef('titulo', $titulo); 
        $this->assignRef('intro', $intro); 
        $this->assignRef('busca', $busca); 
        $this->assignRef('pagination', $pagination);        
        $this->assignRef('recados', $recados); //Guarda a referencia do objeto que sera usado no Template para apresentar os registros
        
        $this->assignRef('option', $option);
        
        parent::display($tpl);

    }
}

?>